Subject: Re: bug#76313: New function `replace-region`

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Feb 2025 13:59:04 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 18 Feb 2025 15:04:22 -0500
> 
> > So basically, you reject every attempt to compromise that I could come
> > up with, and keep pressing for your original proposal, whose downsides
> > I prefer not to sustain.  Are you really saying that your way is the
> > only way? why?
> 
> Never mind,

It's up to you, but I still think that by a relatively simple and
backward-compatible change to the API of replace-region-contents we
could have a new mode of that function which would do what you wanted.
I still don't understand why you rejected that, the reasons you gave
sounded minor to me, certainly not important enough to throw in the
towel.